org.apache.ant.compress.resources

## Class CpioResource

- java.lang.Object
- - org.apache.tools.ant.ProjectComponent
  - - org.apache.tools.ant.types.DataType
    - - org.apache.tools.ant.types.Resource
      - - org.apache.tools.ant.types.resources.ArchiveResource
        - - org.apache.ant.compress.resources.CommonsCompressArchiveResource
          - - org.apache.ant.compress.resources.CpioResource

- All Implemented Interfaces:
    java.lang.Cloneable, java.lang.Comparable<org.apache.tools.ant.types.Resource>, java.lang.Iterable<org.apache.tools.ant.types.Resource>, org.apache.tools.ant.types.ResourceCollection

      public final class CpioResource
      extends CommonsCompressArchiveResource

  A Resource representation of an entry in a cpio archive.

- - ### Field Summary

    - ### Fields inherited from class org.apache.tools.ant.types.Resource

      `MAGIC, UNKNOWN_DATETIME, UNKNOWN_SIZE`

    - ### Fields inherited from class org.apache.tools.ant.types.DataType

      `checked, ref`

    - ### Fields inherited from class org.apache.tools.ant.ProjectComponent

      `description, location, project`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `CpioResource()` Default constructor.
    `CpioResource(java.io.File a, org.apache.commons.compress.archivers.cpio.CpioArchiveEntry e)` Construct a CpioResource representing the specified entry in the specified archive.
    `CpioResource(java.io.File a, java.lang.String enc, org.apache.commons.compress.archivers.cpio.CpioArchiveEntry e)` Construct a CpioResource representing the specified entry in the specified archive.
    `CpioResource(org.apache.tools.ant.types.Resource a, org.apache.commons.compress.archivers.cpio.CpioArchiveEntry e)` Construct a CpioResource representing the specified entry in the specified archive.
    `CpioResource(org.apache.tools.ant.types.Resource a, java.lang.String enc, org.apache.commons.compress.archivers.cpio.CpioArchiveEntry e)` Construct a CpioResource representing the specified entry in the specified archive.

  - ### Method Summary

    - ### Methods inherited from class org.apache.ant.compress.resources.CommonsCompressArchiveResource

      `fetchEntry, getEncoding, getGid, getInputStream, getOutputStream, getUid, setEncoding, setEntry, setRefid`

    - ### Methods inherited from class org.apache.tools.ant.types.resources.ArchiveResource

      `addConfigured, checkEntry, compareTo, dieOnCircularReference, equals, getArchive, getLastModified, getMode, getSize, hashCode, isDirectory, isExists, setArchive, setMode, toString`

    - ### Methods inherited from class org.apache.tools.ant.types.Resource

      `as, clone, getMagicNumber, getName, isFilesystemOnly, iterator, setDirectory, setExists, setLastModified, setName, setSize, size, toLongString`

    - ### Methods inherited from class org.apache.tools.ant.types.DataType

      `checkAttributesAllowed, checkChildrenAllowed, circularReference, dieOnCircularReference, dieOnCircularReference, getCheckedRef, getCheckedRef, getCheckedRef, getCheckedRef, getDataTypeName, getRefid, invokeCircularReferenceCheck, isChecked, isReference, noChildrenAllowed, pushAndInvokeCircularReferenceCheck, setChecked, tooManyAttributes`

    - ### Methods inherited from class org.apache.tools.ant.ProjectComponent

      `getDescription, getLocation, getProject, log, log, setDescription, setLocation, setProject`

    - ### Methods inherited from class java.lang.Object

      `finalize, getClass, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface java.lang.Iterable

      `forEach, spliterator`

- - ### Constructor Detail

    - #### CpioResource

          public CpioResource()

      Default constructor.

    - #### CpioResource

          public CpioResource(java.io.File a,
                              org.apache.commons.compress.archivers.cpio.CpioArchiveEntry e)

      Construct a CpioResource representing the specified entry in the specified archive.
      Parameters:
        `a` - the archive as File.
        `e` - the CpioEntry.

    - #### CpioResource

          public CpioResource(org.apache.tools.ant.types.Resource a,
                              org.apache.commons.compress.archivers.cpio.CpioArchiveEntry e)

      Construct a CpioResource representing the specified entry in the specified archive.
      Parameters:
        `a` - the archive as Resource.
        `e` - the CpioEntry.

    - #### CpioResource

          public CpioResource(java.io.File a,
                              java.lang.String enc,
                              org.apache.commons.compress.archivers.cpio.CpioArchiveEntry e)

      Construct a CpioResource representing the specified entry in the specified archive.
      Parameters:
        `a` - the archive as File.
        `enc` - the encoding used for filenames.
        `e` - the CpioEntry.
      Since:
        Compress Antlib 1.3

    - #### CpioResource

          public CpioResource(org.apache.tools.ant.types.Resource a,
                              java.lang.String enc,
                              org.apache.commons.compress.archivers.cpio.CpioArchiveEntry e)

      Construct a CpioResource representing the specified entry in the specified archive.
      Parameters:
        `a` - the archive as Resource.
        `enc` - the encoding used for filenames.
        `e` - the CpioEntry.
      Since:
        Compress Antlib 1.3